## iaito 5.9.4+ds

=== debian/changelog ===
iaito (5.9.4+ds-2) unstable; urgency=medium

  * d/control: add libxxhash-dev to build-depends. (Closes: #1085058)

 -- Alex Myczko <tar@debian.org>  Wed, 16 Oct 2024 20:38:54 +0000

iaito (5.9.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1078602)

 -- Alex Myczko <tar@debian.org>  Tue, 13 Aug 2024 11:12:03 +0000

## iaito 5.9.9+ds

=== Makefile ===
include config.mk

ifeq ($(shell uname),Darwin)
BIN=build/iaito.app/Contents/MacOS/iaito
else
BIN=build/iaito
endif

#QMAKE_FLAGS+=IAITO_ENABLE_PYTHON=false
QMAKE_FLAGS+=-config release

#install_name_tool -change /path/to/Qt/lib/QtCore.framework/Versions/4.0/QtCore
#        @executable_path/../Frameworks/QtCore.framework/Versions/4.0/QtCore
#       plugandpaint.app/Contents/plugins/libpnp_basictools.dylib

ifeq ($(WANT_PYTHON),1)
QMAKE_FLAGS+=IAITO_ENABLE_PYTHON=true
endif
ifeq ($(WANT_PYTHON_BINDINGS),1)
QMAKE_FLAGS+=IAITO_ENABLE_PYTHON_BINDINGS=true
endif
QMAKE_FLAGS+=PREFIX=$(PREFIX)

all: iaito

CXX?=g++

reset:
	rm -rf ~/.config/radareorg/iaito.conf

QTLIBS=$(shell grep "^LIBS" build/Makefile | cut -d = -f 2-)
R2LIBS=$(shell pkg-config --cflags --libs r_core)
R2_LIBEXT=$(shell r2 -H R2_LIBEXT)
R2_USER_PLUGINS=$(shell r2 -H R2_USER_PLUGINS)

plugin core_plugin: iaito
	SUBLIBS=true $(CXX) build/*.o src/CorePlugin.cpp -shared -fPIC $(QTLIBS) $(R2LIBS) -o build/CorePlugin.$(R2_LIBEXT)
	mkdir -p $(R2_USER_PLUGINS)
	rm -f $(R2_USER_PLUGINS)/IaitoPlugin.$(R2_LIBEXT)
	cp -f build/CorePlugin.$(R2_LIBEXT) $(R2_USER_PLUGINS)/IaitoPlugin.$(R2_LIBEXT)

asan:
	export CXXFLAGS=-fsanitize=address ; \
	export CFLAGS=-fsanitize=address ; \
	export LDFLAGS=-fsanitize=address ; \
		$(MAKE) build && $(MAKE) -C build -j4

clean:
	rm -rf build

dist:
ifeq ($(shell uname),Darwin)
	$(MAKE) -C dist/macos
else
	$(MAKE) -C dist/debian
endif

mrproper: clean
	git clean -xdf

.PHONY: install run user-install dist macos clean mrproper install-translations

# force qt5 build when QtCreator is installed in user's home
ifeq ($(shell test -x ~/Qt/5.*/clang_64/bin/qmake || echo err),)
QMAKE=~/Qt/5.*/clang_64/bin/qmake
endif

iaito: build
	$(MAKE) -C build

build:
	mkdir -p build
	cd build && $(QMAKE) ../src/Iaito.pro $(QMAKE_FLAGS)

install-man:
	mkdir -p "${DESTDIR}${MANDIR}/man1"
	for FILE in src/*.1 ; do ${INSTALL_MAN} "$$FILE" "${DESTDIR}${MANDIR}/man1" ; done

install: build
ifeq ($(shell uname),Darwin)
	rm -rf $(DESTDIR)/Applications/iaito.app
	mkdir -p $(DESTDIR)/Applications
	cp -rf build/iaito.app $(DESTDIR)/Applications/iaito.app
	mkdir -p $(DESTDIR)/$(PREFIX)/bin
	ln -fs  '/Applications/iaito.app/Contents/MacOS/iaito' $(DESTDIR)/$(PREFIX)'/bin/iaito'
else
	$(MAKE) -C build install INSTALL_ROOT=$(DESTDIR)
endif
	$(MAKE) install-man

uninstall:
ifeq ($(shell uname),Darwin)
	rm -rf $(DESTDIR)/Applications/iaito.app
	rm -rf "$(DESTDIR)/$(PREFIX)/bin/iaito"
else
	rm -rf "$(DESTDIR)/$(PREFIX)/share/iaito"
	rm -rf "$(DESTDIR)/$(PREFIX)/bin/iaito"
endif
	rm -f "${DESTDIR}$(MANDIR)/man1/iaito.1"

user-install: build
ifeq ($(shell uname),Darwin)
	rm -rf ${HOME}/Applications/iaito.app
	mkdir -p ${HOME}/Applications
	cp -rf build/iaito.app ${HOME}/Applications/iaito.app
else
	$(MAKE) -C build install INSTALL_ROOT=/ PREFIX=${HOME}/.local
endif
	$(MAKE) install-man DESTDIR=/ PREFIX=${HOME}/.local MANDIR=${HOME}/.local/share/man

user-uninstall:
	$(MAKE) uninstall DESTDIR=/ PREFIX=${HOME}/.local MANDIR=${HOME}/.local/share/man

run:
	rarun2 libpath=$(shell r2 -H R2_LIBDIR) program=$(BIN)

gdb:
	gdb --args $(BIN)

src/translations/README.md:
	git clone https://github.com/radareorg/iaito-translations.git src/translations

install-translations: src/translations/README.md
	$(MAKE) -C src/translations install PREFIX="$(DESTDIR)/$(PREFIX)"

user-install-translations: src/translations/README.md
	$(MAKE) -C src/translations user-install

indent:
	clang-format -i $(shell find src -name '*.cpp' -o -name '*.h')

=== src/Makefile ===
all: ../build
	$(MAKE) -C ../build

../build:
	$(MAKE) -C ..

=== src/meson_options.txt ===
# both options are deprecated
# option('enable_python', type: 'boolean', value: false)
# option('enable_python_bindings', type: 'boolean', value: false)

=== debian/changelog ===
iaito (5.9.9+ds-2) unstable; urgency=medium

  * Source only upload. (Closes: #1093597)

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 11:59:12 +0000

iaito (5.9.9+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 02 Dec 2024 10:23:37 +0000

=== debian/control ===
Source: iaito
Section: devel
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 fonts-agave,
 fonts-inconsolata,
 fonts-anonymous-pro,
 meson,
 ninja-build,
 qttools5-dev,
 qttools5-dev-tools,
 qtbase5-dev,
 qtchooser,
 qt5-qmake,
 qtbase5-dev-tools,
 libqt5svg5-dev,
 libradare2-dev,
 libxxhash-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/radareorg/iaito
Vcs-Browser: https://salsa.debian.org/pkg-security-team/iaito
Vcs-Git: https://salsa.debian.org/pkg-security-team/iaito.git

Package: iaito
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: GUI for radare2, a libre reverse engineering framework
 This is the official graphical interface for radare2. It aims to
 conver other r2 features, not just the disassembler but also forensics,
 networking, bindiffing, solvers, and more.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedir=src

override_dh_auto_configure:
	dh_auto_configure -Smeson

override_dh_auto_build:
	dh_auto_build -Smeson

override_dh_auto_install:
	@echo meh

override_dh_missing:
	@echo 404

## iaito 6.0.0+ds

=== debian/changelog ===
iaito (6.0.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.7.2.
  * d/rules: skip tests, qmake path.

 -- Alex Myczko <tar@debian.org>  Mon, 08 Sep 2025 10:53:25 -0500

## iaito 6.0.2+ds

=== debian/changelog ===
iaito (6.0.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 30 Sep 2025 09:58:28 +0200

## iaito 6.0.4+ds

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 		$(MAKE) build && $(MAKE) -C build -j4
 
 clean:
+	rm -f src/ui_*.h
 	rm -rf build
 
 dist:
@@ -117,6 +118,9 @@
 gdb:
 	gdb --args $(BIN)
 
+lldb:
+	lldb -- $(BIN)
+
 src/translations/README.md:
 	git clone https://github.com/radareorg/iaito-translations.git src/translations
 
@@ -126,5 +130,14 @@
 user-install-translations: src/translations/README.md
 	$(MAKE) -C src/translations user-install
 
+dockindent:
+	docker images | grep clang-format-image || make -C scripts/indent
+	docker run --rm -v "$$PWD:/project" clang-format-image -i \
+		$(shell find src -name '*.cpp' -o -name '*.h')
+
 indent:
+ifeq ($(clang-format --version | grep 'version 18'),)
+	$(MAKE) dockindent
+else
 	clang-format -i $(shell find src -name '*.cpp' -o -name '*.h')
+endif

=== src/Makefile ===
#############################################################################
# Makefile for building: iaito.app/Contents/MacOS/iaito
# Generated by qmake (3.1) (Qt 6.9.0)
# Project:  Iaito.pro
# Template: app
# Command: /opt/homebrew/bin/qmake -o Makefile Iaito.pro
#############################################################################

MAKEFILE      = Makefile

EQ            = =

####### Compiler, tools and options

CC            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang
CXX           = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
DEFINES       = -DIAITO_SOURCE_BUILD -D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -DQT_NO_DEBUG -DQT_SVGWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0 -Wall -Wextra $(DEFINES)
CXXFLAGS      = -pipe -stdlib=libc++ -g -O0 -mmacosx-version-min=10.7 -std=c++20 -stdlib=libc++ -g -O2 -std=gnu++2a $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0 -Wall -Wextra $(DEFINES)
INCPATH       = -I. -I. -Icore -Iwidgets -Idialogs -Icommon -Iplugins -Imenus -I/usr/local/include/libr -I/usr/local/include/libr/sdb -I/usr/local/include/libr -I/usr/local/include/libr/sdb -I/opt/homebrew/lib/QtSvgWidgets.framework/Headers -I/opt/homebrew/lib/QtWidgets.framework/Headers -I/opt/homebrew/lib/QtSvg.framework/Headers -I/opt/homebrew/lib/QtGui.framework/Headers -I/opt/homebrew/lib/QtNetwork.framework/Headers -I/opt/homebrew/lib/QtCore.framework/Headers -I. -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/AGL.framework/Headers -I. -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/AGL.framework/Headers -I/opt/homebrew/share/qt/mkspecs/macx-clang -F/opt/homebrew/lib
QMAKE         = /opt/homebrew/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /opt/homebrew/bin/qmake -install qinstall
QINSTALL_PROGRAM = /opt/homebrew/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = iaito5.9.9
DISTDIR = /Users/pancake/prg/iaito/src/.tmp/iaito5.9.9
LINK          = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
LFLAGS        = -stdlib=libc++ -Wl,-rpath,/usr/local/lib -rdynamic -headerpad_max_install_names $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0
LIBS          = $(SUBLIBS) -F/opt/homebrew/lib -L/usr/local/lib -lr_core -lr_config -lr_debug -lr_bin -lr_lang -lr_anal -lr_bp -lr_egg -lr_asm -lr_arch -lr_esil -lr_flag -lr_reg -lr_search -lr_syscall -lr_fs -lr_io -lr_socket -lr_cons -lr_magic -lr_muta -lr_util -ldl -framework QtSvgWidgets -framework QtWidgets -framework QtSvg -framework QtGui -framework AppKit -framework ImageIO -framework Metal -framework QtNetwork -framework QtCore -framework IOKit -framework DiskArbitration -framework UniformTypeIdentifiers -framework AGL -framework OpenGL   
AR            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar cq
RANLIB        = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib -s
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = Main.cpp \
		core/Iaito.cpp \
		dialogs/EditStringDialog.cpp \
		dialogs/WriteCommandsDialogs.cpp \
		widgets/DisassemblerGraphView.cpp \
		widgets/OverviewView.cpp \
		common/RichTextPainter.cpp \
		dialogs/InitialOptionsDialog.cpp \
		dialogs/AboutDialog.cpp \
		dialogs/CommentsDialog.cpp \
		dialogs/EditInstructionDialog.cpp \
		dialogs/FlagDialog.cpp \
		dialogs/RemoteDebugDialog.cpp \
		dialogs/NativeDebugDialog.cpp \
		dialogs/XrefsDialog.cpp \
		core/MainWindow.cpp \
		common/Helpers.cpp \
		common/TextEditDialog.cpp \
		common/Highlighter.cpp \
		common/MdHighlighter.cpp \
		common/DirectionalComboBox.cpp \
		common/TypeScriptHighlighter.cpp \
		common/AnalTask.cpp \
		dialogs/preferences/AsmOptionsWidget.cpp \
		dialogs/FortuneDialog.cpp \
		dialogs/NewFileDialog.cpp \
		widgets/CommentsWidget.cpp \
		widgets/ConsoleWidget.cpp \
		widgets/CustomCommandWidget.cpp \
		widgets/Dashboard.cpp \
		widgets/EntrypointWidget.cpp \
		widgets/ExportsWidget.cpp \
		widgets/FlagsWidget.cpp \
		widgets/FunctionsWidget.cpp \
		widgets/ImportsWidget.cpp \
		widgets/CodeEditor.cpp \
		widgets/Omnibar.cpp \
		widgets/RelocsWidget.cpp \
		widgets/SectionsWidget.cpp \
		widgets/SegmentsWidget.cpp \
		widgets/StringsWidget.cpp \
		widgets/SymbolsWidget.cpp \
		menus/DisassemblyContextMenu.cpp \
		menus/DecompilerContextMenu.cpp \
		widgets/DisassemblyWidget.cpp \
		widgets/HexdumpWidget.cpp \
		common/Configuration.cpp \
		common/Colors.cpp \
		dialogs/SaveProjectDialog.cpp \
		common/TempConfig.cpp \
		common/SvgIconEngine.cpp \
		common/SyntaxHighlighter.cpp \
		widgets/DecompilerWidget.cpp \
		widgets/VisualNavbar.cpp \
		widgets/GraphView.cpp \
		dialogs/preferences/PreferencesDialog.cpp \
		dialogs/preferences/AppearanceOptionsWidget.cpp \
		dialogs/preferences/GraphOptionsWidget.cpp \
		dialogs/preferences/PreferenceCategory.cpp \
		dialogs/preferences/InitializationFileEditor.cpp \
		widgets/QuickFilterView.cpp \
		widgets/ClassesWidget.cpp \
		widgets/ResourcesWidget.cpp \
		widgets/VTablesWidget.cpp \
		widgets/TypesWidget.cpp \
		widgets/HeadersWidget.cpp \
		widgets/SearchWidget.cpp \
		IaitoApplication.cpp \
		common/PythonAPI.cpp \
		dialogs/R2PluginsDialog.cpp \
		widgets/IaitoDockWidget.cpp \
		widgets/IaitoTreeWidget.cpp \
		widgets/MapsWidget.cpp \
		widgets/BinariesWidget.cpp \
		widgets/FilesWidget.cpp \
		widgets/GraphWidget.cpp \
		widgets/OverviewWidget.cpp \
		common/JsonTreeItem.cpp \
		common/JsonModel.cpp \
		dialogs/VersionInfoDialog.cpp \
		widgets/ZignaturesWidget.cpp \
		common/AsyncTask.cpp \
		dialogs/AsyncTaskDialog.cpp \
		widgets/StackWidget.cpp \
		widgets/RegistersWidget.cpp \
		widgets/ThreadsWidget.cpp \
		widgets/ProcessesWidget.cpp \
		widgets/BacktraceWidget.cpp \
		dialogs/MapFileDialog.cpp \
		common/CommandTask.cpp \
		common/ProgressIndicator.cpp \
		common/R2Task.cpp \
		dialogs/R2TaskDialog.cpp \
		widgets/DebugActions.cpp \
		widgets/MemoryMapWidget.cpp \
		dialogs/preferences/DebugOptionsWidget.cpp \
		dialogs/preferences/PluginsOptionsWidget.cpp \
		widgets/BreakpointWidget.cpp \
		dialogs/BreakpointsDialog.cpp \
		dialogs/AttachProcDialog.cpp \
		widgets/RegisterRefsWidget.cpp \
		dialogs/SetToDataDialog.cpp \
		dialogs/EditVariablesDialog.cpp \
		dialogs/EditFunctionDialog.cpp \
		widgets/IaitoTreeView.cpp \
		widgets/ComboQuickFilterView.cpp \
		dialogs/HexdumpRangeDialog.cpp \
		common/QtResImporter.cpp \
		common/IaitoSeekable.cpp \
		common/RefreshDeferrer.cpp \
		dialogs/WelcomeDialog.cpp \
		common/RunScriptTask.cpp \
		dialogs/EditMethodDialog.cpp \
		dialogs/TypesInteractionDialog.cpp \
		widgets/SdbWidget.cpp \
		common/PythonManager.cpp \
		plugins/PluginManager.cpp \
		common/BasicBlockHighlighter.cpp \
		common/BasicInstructionHighlighter.cpp \
		dialogs/LinkTypeDialog.cpp \
		widgets/ColorPicker.cpp \
		common/ColorThemeWorker.cpp \
		widgets/ColorThemeComboBox.cpp \
		widgets/ColorThemeListView.cpp \
		dialogs/preferences/ColorThemeEditDialog.cpp \
		common/UpdateWorker.cpp \
		widgets/MemoryDockWidget.cpp \
		common/CrashHandler.cpp \
		common/BugReporting.cpp \
		common/HighDpiPixmap.cpp \
		widgets/GraphGridLayout.cpp \
		widgets/HexWidget.cpp \
		widgets/R2AIWidget.cpp \
		common/SelectionHighlight.cpp \
		common/Decompiler.cpp \
		common/R2GhidraCmdDecompiler.cpp \
		common/ShortcutKeys.cpp \
		dialogs/ShortcutKeysDialog.cpp \
		common/R2pdcCmdDecompiler.cpp \
		common/R2DecaiDecompiler.cpp \
		common/R2AnotesDecompiler.cpp \
		common/R2retdecDecompiler.cpp \
		menus/AddressableItemContextMenu.cpp \
		common/AddressableItemModel.cpp \
		widgets/ListDockWidget.cpp \
		dialogs/MultitypeFileSaveDialog.cpp \
		widgets/BoolToggleDelegate.cpp \
		common/IOModesController.cpp \
		common/SettingsUpgrade.cpp \
		dialogs/LayoutManager.cpp \
		common/IaitoLayout.cpp \
		widgets/GraphHorizontalAdapter.cpp \
		common/ResourcePaths.cpp \
		widgets/IaitoGraphView.cpp \
		widgets/SimpleTextGraphView.cpp \
		widgets/R2GraphWidget.cpp \
		widgets/CallGraph.cpp \
		widgets/AddressableDockWidget.cpp \
		dialogs/preferences/AnalOptionsWidget.cpp \
		dialogs/preferences/KeyboardOptionsWidget.cpp \
		common/DecompilerHighlighter.cpp \
		dialogs/PackageManagerDialog.cpp qrc_resources.cpp \
		qrc_native.cpp \
		qrc_dark.cpp \
		qrc_midnight.cpp \
		qrc_light.cpp \
		moc_Iaito.cpp \
		moc_EditStringDialog.cpp \
		moc_WriteCommandsDialogs.cpp \
		moc_ClickableSvgWidget.cpp \
		moc_DisassemblerGraphView.cpp \
		moc_OverviewView.cpp \
		moc_TypeScriptHighlighter.cpp \
		moc_ShortcutKeys.cpp \
		moc_ShortcutKeysDialog.cpp \
		moc_TextEditDialog.cpp \
		moc_Highlighter.cpp \
		moc_MdHighlighter.cpp \
		moc_DirectionalComboBox.cpp \
		moc_AnalTask.cpp \
		moc_AboutDialog.cpp \
		moc_AsmOptionsWidget.cpp \
		moc_CommentsDialog.cpp \
		moc_EditInstructionDialog.cpp \
		moc_FlagDialog.cpp \
		moc_RemoteDebugDialog.cpp \
		moc_NativeDebugDialog.cpp \
		moc_XrefsDialog.cpp \
		moc_MainWindow.cpp \
		moc_InitialOptionsDialog.cpp \
		moc_NewFileDialog.cpp \
		moc_CommentsWidget.cpp \
		moc_ConsoleWidget.cpp \
		moc_CustomCommandWidget.cpp \
		moc_Dashboard.cpp \
		moc_EntrypointWidget.cpp \
		moc_ExportsWidget.cpp \
		moc_FlagsWidget.cpp \
		moc_FunctionsWidget.cpp \
		moc_ImportsWidget.cpp \
		moc_Omnibar.cpp \
		moc_RelocsWidget.cpp \
		moc_CodeEditor.cpp \
		moc_SectionsWidget.cpp \
		moc_SegmentsWidget.cpp \
		moc_StringsWidget.cpp \
		moc_SymbolsWidget.cpp \
		moc_DisassemblyContextMenu.cpp \
		moc_DecompilerContextMenu.cpp \
		moc_DisassemblyWidget.cpp \
		moc_HexdumpWidget.cpp \
		moc_Configuration.cpp \
		moc_SaveProjectDialog.cpp \
		moc_SyntaxHighlighter.cpp \
		moc_DecompilerWidget.cpp \
		moc_VisualNavbar.cpp \
		moc_GraphView.cpp \
		moc_PreferencesDialog.cpp \
		moc_AppearanceOptionsWidget.cpp \
		moc_GraphOptionsWidget.cpp \
		moc_InitializationFileEditor.cpp \
		moc_QuickFilterView.cpp \
		moc_ClassesWidget.cpp \
		moc_ResourcesWidget.cpp \
		moc_IaitoApplication.cpp \
		moc_VTablesWidget.cpp \
		moc_TypesWidget.cpp \
		moc_HeadersWidget.cpp \
		moc_SearchWidget.cpp \
		moc_R2PluginsDialog.cpp \
		moc_IaitoDockWidget.cpp \
		moc_IaitoTreeWidget.cpp \
		moc_MapsWidget.cpp \
		moc_BinariesWidget.cpp \
		moc_FilesWidget.cpp \
		moc_GraphWidget.cpp \
		moc_OverviewWidget.cpp \
		moc_VersionInfoDialog.cpp \
		moc_ZignaturesWidget.cpp \
		moc_AsyncTask.cpp \
		moc_AsyncTaskDialog.cpp \
		moc_StackWidget.cpp \
		moc_RegistersWidget.cpp \
		moc_ThreadsWidget.cpp \
		moc_ProcessesWidget.cpp \
		moc_BacktraceWidget.cpp \
		moc_FortuneDialog.cpp \
		moc_MapFileDialog.cpp \
		moc_StringsTask.cpp \
		moc_FunctionsTask.cpp \
		moc_CommandTask.cpp \

=== src/meson_options.txt ===
# both options are deprecated
# option('enable_python', type: 'boolean', value: false)
# option('enable_python_bindings', type: 'boolean', value: false)
option('with_qt6', type: 'boolean', value: false)

=== scripts/indent/Makefile ===
all:
	docker build -t clang-format-image .

=== debian/changelog ===
iaito (6.0.4+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 02 Oct 2025 08:54:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # Package maintainers to append LDFLAGS.
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export QMAKE = qmake
 
 %:
 	dh $@ --sourcedir=src
@@ -19,6 +20,12 @@
 override_dh_auto_build:
 	dh_auto_build -Smeson
 
+override_dh_auto_clean:
+	@echo moo
+
+override_dh_auto_test:
+	@echo moo
+
 override_dh_auto_install:
 	@echo meh

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/radareorg/iaito/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## iaito 6.0.7+ds

=== debian/changelog ===
iaito (6.0.7+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: update to version 5.
  * d/control: drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Nov 2025 18:05:21 +0000

=== debian/watch ===
Version: 5

# Compulsory line, this is a version 4 file.
# GitHub hosted projects.
Template: Github
Owner: radareorg
Project: iaito

## iaito 6.0.8+ds

=== debian/changelog ===
iaito (6.0.8+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Wed, 07 Jan 2026 16:26:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: devel
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  fonts-agave,
@@ -20,7 +19,7 @@
  libradare2-dev,
  libxxhash-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/radareorg/iaito
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/iaito
 Vcs-Git: https://salsa.debian.org/pkg-security-team/iaito.git
